SQLITE3_FILENAME(3)

NAME
sqlite3_filename - file name

SYNOPSIS
#include <sqlite3.h>
typedef const char *sqlite3_filename;

DESCRIPTION
Type sqlite3_filename is used by SQLite to pass filenames to the xOpen method of a VFS. It may be cast to (const char*) and treated as a normal, nul-terminated, UTF-8 buffer containing the filename, but may also be passed to special APIs such as:

•   sqlite3_filename_database()

•   sqlite3_filename_journal()

•   sqlite3_filename_wal()

•   sqlite3_uri_parameter()

•   sqlite3_uri_boolean()

•   sqlite3_uri_int64()

•   sqlite3_uri_key()

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 1275.

    typedef const char *sqlite3_filename;